Geoserver 2.3.5 liberado.

El equipo de Geoserver anuncia la version 2.3.5 de Geoserver. Contiene importantes correcciones:

  • Nuevas opciones de autentificación para LDAP.
  • Se corrige el que no mostraba las unidades disponibles cuando se exploraba en busca de fuente de datos en Windows.
  • Se corrige el no poder referenciar fuente de datos desde una sistema de archivos compartidos.
  • Corrección de seguridad y para el WMS 1.3.0 de GeoWebCache.

Más detalles en notas de la versión.

 

 

Error “SEVERE: Error listenerStart” al iniciar Geoserver 2.2

Al examinar el log de Tomcat para ver cual era la causa del error que impedía el deploy correcto de Geoserver 2.2 me encontré con el error SEVERE: Error listenerStart. Sin embargo no daba alguna descripción detallada del por qué de este error.

Para que mostrara la clase causante del error, fue necesario añadir en la carpeta WEB-INF/classes de geoserver un archivo con el nombre logging.properties con el siguiente contenido:

org.apache.catalina.core.ContainerBase.[Catalina].level = INFO
org.apache.catalina.core.ContainerBase.[Catalina].handlers = java.util.logging.ConsoleHandler

Una vez reiniciado el tomcat, mostró más detalle de la causa del error. Que en mi caso, era un error al iniciar el módulo de seguridad de geoserver.